Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	A library which supports MNG graphics.
Name:      	libmng
Version:   	1.0.9
Release:   	1
Provides:	libmng
License: 	BSD-like
URL:		http://libmng.sf.net
Group:     	System/Libraries
Source0: 	libmng-%{version}.tar.gz
Patch:        	libmng.diff
Patch2:       	libmng-no-jpeg.diff
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires: 	zlib, libjpeg
BuildPrereq: 	gcc glibc-devel zlib-devel libjpeg-devel

%description
LibMNG is a library for accessing graphics in MNG (Multi-image Network
Graphics) and JNG (JPEG Network Graphics) formats.  MNG graphics are
basically animated PNGs.  JNG graphics are basically JPEG streams
integrated into a PNG chunk.

%package devel
Summary: 	libmng lib development headers.
Group:     	System/Libraries
Requires: 	libmng = %{version}-%{release}

%description devel
Header and include files for developing applications with libmng.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q
%patch

%build
make -f makefiles/makefile.linux _LIB=%_lib

%install
make -f makefiles/makefile.linux DESTDIR=$RPM_BUILD_ROOT _LIB=%_lib install
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man3/ $RPM_BUILD_ROOT/%{_mandir}/man5/
install -m 0644 doc/man/*.3 $RPM_BUILD_ROOT/%{_mandir}/man3/
install -m 0644 doc/man/*.5 $RPM_BUILD_ROOT/%{_mandir}/man5/
#
# build a mini libmng
#
make -f makefiles/makefile.linux clean
patch -p0 < %PATCH2
make -f makefiles/makefile.linux _LIB=%_lib
install -m 0755 libmng.a $RPM_BUILD_ROOT/%_libdir/libmng-mini.a

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_libdir/*.so.*
%_mandir/man5/*

%files devel
%defattr(-,root,root)
%_libdir/*.a
%_libdir/*.so
%_includedir/*
%_mandir/man3/*

%changelog
* Wed Jun 29 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.9-1
- Version update to 1.0.9, removed jpeg support for libmng-mini
* Thu Apr 15 2004 Christian Metzen <metzench@ccux-linux.de> 1.0.7-1
- Initial Release